﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

#backgrounds
image bg fieldday = "dayfield.jpg"
image bg fieldnght = "nightfield.jpg"
image bg houseout = "outside.jpg"
image bg houseoutnght = "outsidenght.jpg"
image bg kitchen = "kitchen.jpg"
image bg kitchengray = im.Grayscale("kitchen.jpg")
image bg kitchennght = "kitchennght.jpg"
image bg bdroom = "bdroom.jpg"
image bg bdroomnght = "bdroomnght.jpg"
image bg bdroomlghtout = "bdroomlghtout.jpg"
image bg bdroomlghtoutgray = im.Grayscale("bdroomlghtout.jpg")
image bg bsmnt = "basement.jpg"
image bg bsmntnght = "basementnght.jpg"
image bg emebdroom = "emebdroom.jpg"
image bg painting1 = "painting1.jpg"
image bg painting2 = "painting2.jpg"
image bg black = "black.jpg"
image bg emebdroomnght = "emebdroomnght.jpg"

#characters
image emehappy = "emehappy.png"
image emetalk = "emeveryhappy.png"
image emesad = "emesad.png"
image emeang = "emesang.png"
image ememadcry = "ememadcry.png"
image emespkcry = "emespeakcry.png"
image emecryhappy = "emecryhappy.png"
image emecry = "emecry.png"
image emeworr = "emeworried.png"
image emezombiesad = "emezombiecry.png"
image emezombiecry = "emezombiecry.png"
image emecryzombld = "emezombiebloodcry.png"
image emecrzybld = "emeblood.png"
image emecrzy  = "emecrazy.png"
image emeshock = "emeshock.png"
image emezombietlk = "emezombie.png"
image emeshadowtalk = "shadowemeop.png"
image emeshadowstare = "shadowemecl.png"
image emeshadowtalkgray = im.Grayscale("shadowemeop.png")
image emezombiecrybld = "emezombiecryblood.png"
image emenbld = "emenblood.png"
image emezombieshockbld = "emezombieshockblood.png"
image emezombiesadbld = "emezombiesadblood.png"
image julian = "juliannoghost.png"
image blurrglow = "julianspectre.png"
image blurr = "blurrjulian.png"
image thing = "scarything.png"


# Declare characters used by this game.
define e = Character('Emeline', color="#BE81F7")
define j = Character('Julian', color="#81BEF7")
define r= Character('Riley', color="#243B0B")

init:

    python:
    
        import math

        class Shaker(object):
        
            anchors = {
                'top' : 0.0,
                'center' : 0.5,
                'bottom' : 1.0,
                'left' : 0.0,
                'right' : 1.0,
                }
        
            def __init__(self, start, child, dist):
                if start is None:
                    start = child.get_placement()
                #
                self.start = [ self.anchors.get(i, i) for i in start ]  # central position
                self.dist = dist    # maximum distance, in pixels, from the starting point
                self.child = child
                
            def __call__(self, t, sizes):
                # Float to integer... turns floating point numbers to
                # integers.                
                def fti(x, r):
                    if x is None:
                        x = 0
                    if isinstance(x, float):
                        return int(x * r)
                    else:
                        return x

                xpos, ypos, xanchor, yanchor = [ fti(a, b) for a, b in zip(self.start, sizes) ]

                xpos = xpos - xanchor
                ypos = ypos - yanchor
                
                nx = xpos + (1.0-t) * self.dist * (renpy.random.random()*2-1)
                ny = ypos + (1.0-t) * self.dist * (renpy.random.random()*2-1)

                return (int(nx), int(ny), 0, 0)
        
        def _Shake(start, time, child=None, dist=100.0, **properties):

            move = Shaker(start, child, dist=dist)
        
            return renpy.display.layout.Motion(move,
                          time,
                          child,
                          add_sizes=True,
                          **properties)

        Shake = renpy.curry(_Shake)

    $ flash = Fade(.25, 0, .75, color="#fff")
    $ sshake = Shake((0, 0, 0, 0), 1.0, dist=15)

# The game starts here.
label start:
    $ husb = 0
    $ sis = 0
    $ desp = 0
    $ night = 0
    $ haunt = 0
    $ ut = 0
    $ box = 0
    $ photo = 0
    $ found = 0
    $ sisphoto = 0
    $ asksisphoto = 0
    $ askbox = 0
    $ askphoto = 0
    $ pry = 0
    $ chest = 0
    $ foundeme = 0
    $ run = 0
    
    play music "day.ogg" fadeout 2
    scene bg fieldday with fade
    
    "It was a beautiful day in this part of the country.  The meadow grass stood on end like a thousand bright spirits, eager for my attention."

    "Here, away from the city, I surely could paint some truly beautiful landscapes..."
    
    pause (1.5)
    scene bg fieldnght with dissolve
    
    "It grew dark."
    
    "It was getting late... I thought I saw a Bed & Breakfast nestled somewhere in the grass."
    
    scene bg houseoutnght with dissolve
    play music "nightout.ogg" fadein 2 fadeout 2
    r "There!"
    
    "I packed up my things and made my way to the small house."
    
    play sound "knock.ogg"
    r "Hello?  Hello?"
    
    show emetalk with dissolve
    
    e "Yes?  Welcome.  How can I help you?"
    
    r "I'm looking for a room for the night.  Do you have any vacancies?"
    
    show emehappy 
    
    "Her smile was lovely."
    
    e "Yes, come in.  It's getting dark.  You're just in time for dinner."
    
    r "Th-thank you."

    scene bg kitchennght with dissolve
    play music "night.ogg" fadein 1 fadeout 1
    
      
    show emetalk at Move((0.5, 0.55), (0.0, 0.55), 1.0,
    xanchor="left", yanchor="center")
    with dissolve
          
    e "Please, help yourself."
    
    r "Thank you..."
    
    hide emetalk with dissolve
    
    "On the table was a fantastic spread-- everything looked so much better than what I had gotten used to while backpacking.  Even the napkins seemed appetizing!"
    
    r "Everything looks... great!"
    
    show emetalk with dissolve
        
    e "Eat as much as you'd like."
    
    hide emetalk with dissolve
    
    "The food was delicious.  I ate and ate.  I was starting to feel like I was making a real pig out of myself."
    
    r "Thank you for the meal!"
    
    show emetalk with dissolve
    
    e "It's my pleasure.  I make dinner like this every night, but so much usually goes to waste.  I'm so glad there's someone here to eat with me tonight."
    
    r "What?  It's just us here?"
    
    show emehappy
    
    e "Mm-hmm."
    
    r "With cooking like this, people should be making reservations!"
    
    hide emehappy
    show emetalk
        
    "She laughed, her smile lighting up the dim room."
    
    e "Will you be staying a while, or just the night?"
    
    show emehappy
    hide emetalk
    
    r "Well, I was thinking of just passing on through, but with that beautiful view and this great service.... I plan to stay a few days at least."
    
    show emetalk
    hide emehappy
    
    e "That's great!  What did you say your name was?"
    
    show emehappy
    hide emetalk
        
    r "Oh, it's Riley."
    
    show emetalk
    hide emehappy
    
    e "Well, Riley, you can call me Emeline.  Your room is up on the top floor.  Please, make yourself at home."
    
    show emehappy
    hide emetalk
        
    r "What do I owe you for--"
    
    show emetalk
    hide emehappy
    
    e "We'll discuss pricing when you're ready to check out.  For now, just enjoy and rest up."
    
    hide emetalk with dissolve
    
    "I wasn't sure how I felt about that.  I was taking this trip on a very tight budget...  But it was such a nice place to stay."
    
    scene bg bdroomnght with fade
    
    "I went up the stairs to the attic I had rented."
    
    "The furnishings were sparse and decidedly country, but it had a vague charm that made the hairs on my arms tingle.  The bed looked comfortable."
    
    "I changed into my bedclothes and settled into bed."
    
    scene bg bdroomlghtout with dissolve
    
    play music "crickets.ogg" fadein 0.5 fadeout 1
    
    r "Ahh..."
    
    "It {i}was{/i} comfortable!  I closed my eyes."
      
    show bg bdroomlghtout with fade
    pause (1.0)
    
    play sound "drawer.ogg"  
    
    pause (1.0)
    scene bg bdroomlghtout with fade
    
    play sound "surprise.ogg"  
    r "Huh?  Wah-?" with sshake
    
    "..."
    
    r "Hm..."
    
    "I supposed it was just my imagination, or Emeline, or the wind..."
       
    scene bg bdroom with fade
    pause(1.5)
    
    $ night += 1
    
    stop music
    jump daytwo
    
    return
